org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class IgniteSnapshotVerifyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.processors.cache.persistence.snapshot.IgniteSnapshotVerifyException

All Implemented Interfaces:
  Serializable

    public class IgniteSnapshotVerifyException
    extends IgniteException

Compound snapshot verification exception from the nodes where the verification process executed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteSnapshotVerifyException(Map<ClusterNode,? extends Exception> map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<ClusterNode,Exception>` `exceptions()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteSnapshotVerifyException

    public IgniteSnapshotVerifyException(Map<ClusterNode,? extends Exception> map)

Parameters:
  `map` - Map of received exceptions.

### Method Detail

#### exceptions

    public Map<ClusterNode,Exception> exceptions()

Returns:
  Map of received exceptions.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023